QueryCriteria.FungibleStateQueryCriteria
Keywords: net.corda.core.node.services.vault.QueryCriteria.FungibleStateQueryCriteria class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class QueryCriteria.FungibleStateQueryCriteria

- net.corda.core.node.services.vault.QueryCriteria.FungibleStateQueryCriteria

- Enclosing class:
    QueryCriteria

      public static class QueryCriteria.FungibleStateQueryCriteria

  FungibleStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultFungibleStates

  See Also:
    VaultSchema.VaultFungibleStates

- - ### Constructor Detail

    - #### FungibleStateQueryCriteria

          public FungibleStateQueryCriteria(@Nullable
                                            java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                            @Nullable
                                            ColumnPredicate<java.lang.Long> quantity,
                                            @NotNull
                                            net.corda.core.node.services.Vault.StateStatus status,
                                            @Nullable
                                            java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                            @NotNull
                                            net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

      FungibleStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultFungibleStates

      See Also:
        VaultSchema.VaultFungibleStates

    - #### FungibleStateQueryCriteria

          public FungibleStateQueryCriteria()

      FungibleStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultFungibleStates

      See Also:
        VaultSchema.VaultFungibleStates

  - ### Method Detail

    - #### visit

          @NotNull
          public java.util.Collection<javax.persistence.criteria.Predicate> visit(@NotNull
                                                                                           IQueryCriteriaParser parser)

    - #### withParticipants

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.FungibleStateQueryCriteria withParticipants(@NotNull
                                                                                                                       java.util.List<? extends net.corda.core.identity.AbstractParty> participants)

    - #### withQuantity

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.FungibleStateQueryCriteria withQuantity(@NotNull
                                                                                                                   ColumnPredicate<java.lang.Long> quantity)

    - #### withStatus

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.FungibleStateQueryCriteria withStatus(@NotNull
                                                                                                                 net.corda.core.node.services.Vault.StateStatus status)

    - #### withContractStateTypes

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.FungibleStateQueryCriteria withContractStateTypes(@NotNull
                                                                                                                             java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

    - #### withRelevancyStatus

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.FungibleStateQueryCriteria withRelevancyStatus(@NotNull
                                                                                                                          net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

    - #### getParticipants

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> getParticipants()

    - #### getQuantity

          @Nullable
          public ColumnPredicate<java.lang.Long> getQuantity()

    - #### getStatus

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus getStatus()

    - #### getContractStateTypes

          @Nullable
          public java.util.Set<java.lang.Class> getContractStateTypes()

    - #### getRelevancyStatus

          @NotNull
          public net.corda.core.node.services.Vault.RelevancyStatus getRelevancyStatus()

    - #### component1

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> component1()

    - #### component2

          @Nullable
          public ColumnPredicate<java.lang.Long> component2()

    - #### component3

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus component3()

    - #### component4

          @Nullable
          public java.util.Set<java.lang.Class> component4()

    - #### component5

          @NotNull
          public net.corda.core.node.services.Vault.RelevancyStatus component5()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.FungibleStateQueryCriteria copy(@Nullable
                                                                                                           java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                                                                           @Nullable
                                                                                                           ColumnPredicate<java.lang.Long> quantity,
                                                                                                           @NotNull
                                                                                                           net.corda.core.node.services.Vault.StateStatus status,
                                                                                                           @Nullable
                                                                                                           java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                                                                                           @NotNull
                                                                                                           net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

      FungibleStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultFungibleStates

      See Also:
        VaultSchema.VaultFungibleStates

    - #### toString

          @NotNull
          public java.lang.String toString()

      FungibleStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultFungibleStates

      See Also:
        VaultSchema.VaultFungibleStates

    - #### hashCode

          public int hashCode()

      FungibleStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultFungibleStates

      See Also:
        VaultSchema.VaultFungibleStates

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      FungibleStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultFungibleStates

      See Also:
        VaultSchema.VaultFungibleStates